import { test, expect, Page } from '@playwright/test';
import { strictEqual } from 'assert';

let page: Page;

test.beforeAll(async ({ browser }) => {
  page = await browser.newPage();
});

test.afterAll(async () => {
  if (page !== undefined) {
    await page.close();
  }
});

test('Login', async () => {
  // Login
  await page.goto('http://192.168.1.90:20001/');
  await expect(page).toHaveTitle(/^Sign in to /);
  await page.fill("input[name='username']", 'admin');
  await page.fill("input[name='password']", '1234');
  await page.click('id=kc-login');
  await page.waitForTimeout(2000);
  //   await page.click('id=acceptBtn');
});

test('Selete Filter Manage Customer Active', async () => {
  await page.click('id=menu-icon-customer-management');
  await page.fill('id=input-search', 'โค');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', 'โคโม่');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', 'นิติบุคคล');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', 'Como');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', 'Co');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', 'Lab');
  await page.waitForTimeout(2000);
  await page.fill('id=input-search', 'L');
  await page.waitForTimeout(2000);
});
